Перейти к содержимому

Программирование на Java для тестировщиков
онлайн, начало 2 марта
Тестирование защищенности веб-приложений
онлайн, начало 2 марта
Школа для начинающих тестировщиков
онлайн, начало 26 февраля
Школа тест-менеджеров v. 2.0
онлайн, начало 28 февраля
Фотография

Какая версия Firefox (из последних) совместима с Selenium 3.9.1?


  • Авторизуйтесь для ответа в теме
Сообщений в теме: 2

#1 maria_kulgava

maria_kulgava

    Новый участник

  • Members
  • Pip
  • 6 сообщений
  • ФИО:Кульгавая Мария


Отправлено 14 Февраль 2018 - 13:38

Я обновила Selenium до последней версии 3.9.1. Сейчас у меня установлен FireFox 47.0.1. 

В такой комбинации тесты работают нормально.

 

Но если я устанавливаю последние версии FireFox: 57, 58, 59. То тесты не работают.

 

Ошибка (на версии 58.0.1): org.openqa.selenium.firefox.NotConnectedException: Unable to connect to host 127.0.0.1 on port 7055 after 45000 ms. Firefox console output:

p: PreviousExperimentProvider 
 
Скажите, пожалуйста, есть ли возможность запускать тесты на последних версиях FireFox? И что для это надо?

  • 0

#2 SALar

SALar

    Гуру

  • Members
  • PipPipPipPipPipPip
  • 2 022 сообщений
  • Город:Москва


Отправлено 14 Февраль 2018 - 13:56

Алексей Баранцев рекомендует стабильную 52. А так, вроде до 54. Было здесь обсуждение всего этого.


  • 0

-- 

Сергей Мартыненко

Блог 255 ступеней

 


#3 maria_kulgava

maria_kulgava

    Новый участник

  • Members
  • Pip
  • 6 сообщений
  • ФИО:Кульгавая Мария


Отправлено 14 Февраль 2018 - 15:42

Сбросьте, пожалуйста, ссылку на обсуждение. Я не нашла такой темы... 

Спасибо!


  • 0


Selenium 2.0: стартовый уровень
онлайн, начало 16 февраля
Программирование на Java для тестировщиков
онлайн, начало 2 марта
Автоматизация функционального тестирования
онлайн, начало 9 февраля
Selenium WebDriver: полное руководство
онлайн, начало 6 марта



Количество пользователей, читающих эту тему: 0

0 пользователей, 0 гостей, 0 анонимных

Яндекс.Метрика
Реклама на портале